Class MetricsImpl
java.lang.Object
com.eqixiac.equinix.fabric.client.implementation.MetricsImpl
- All Implemented Interfaces:
Metrics
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionforConnection(String connectionUuid, LocalDateTime fromDateTime, LocalDateTime toDateTime, String... names) Returns every page of the named metrics of one connection over a time range.forMetro(String metroCode, LocalDateTime fromDateTime, LocalDateTime toDateTime, String... names) Returns every page of the named metrics of one metro over a time range.forPort(String portUuid, LocalDateTime fromDateTime, LocalDateTime toDateTime, String... names) Returns every page of the named metrics of one port over a time range.getMetricsByName(String name, String value) Retrieves metrics by wildcard metric name (GET /fabric/v4/metrics).search(FilterPropertyList filter, SortPropertyList sort) Searches metrics with a hand-built filter.search(MetricQuery query) Searches metrics with a filter built by aMetricQuery.
-
Constructor Details
-
MetricsImpl
public MetricsImpl()
-
-
Method Details
-
search
Description copied from interface:MetricsSearches metrics with a filter built by aMetricQuery. -
search
Description copied from interface:MetricsSearches metrics with a hand-built filter. -
forConnection
public List<Metric> forConnection(String connectionUuid, LocalDateTime fromDateTime, LocalDateTime toDateTime, String... names) Description copied from interface:MetricsReturns every page of the named metrics of one connection over a time range.- Specified by:
forConnectionin interfaceMetrics- Parameters:
connectionUuid- the connection uuidfromDateTime- start of the range, UTC wall clocktoDateTime- end of the range, UTC wall clocknames- the metric names, for exampleequinix.fabric.connection.bandwidth_tx.usage- Returns:
- the metrics
-
forPort
public List<Metric> forPort(String portUuid, LocalDateTime fromDateTime, LocalDateTime toDateTime, String... names) Description copied from interface:MetricsReturns every page of the named metrics of one port over a time range. -
forMetro
public List<Metric> forMetro(String metroCode, LocalDateTime fromDateTime, LocalDateTime toDateTime, String... names) Description copied from interface:MetricsReturns every page of the named metrics of one metro over a time range. -
getMetricsByName
Description copied from interface:MetricsRetrieves metrics by wildcard metric name (GET /fabric/v4/metrics). Only the wildcard metro metric types are supported (for exampleequinix.fabric.metro.*.latencyorequinix.fabric.metro.*.jitter_avg). This endpoint does not support time-range filtering.- Specified by:
getMetricsByNamein interfaceMetrics- Parameters:
name- the wildcard metric name (required)value- which value to retrieve (for examplelast; required)- Returns:
- the list of matching metrics
-